<?php
if (!defined("ROOT_PATH"))
{
	header("HTTP/1.1 403 Forbidden");
	exit;
}
class pjServiceModel extends pjAppModel
{
	protected $primaryKey = 'id';
	
	protected $table = 'services';
	
	protected $schema = array(
		array('name' => 'id', 'type' => 'tinyint', 'default' => ':NULL'),
		array('name' => 'price_per_hour', 'type' => 'decimal', 'default' => ':NULL'),
		array('name' => 'allow_using_materials', 'type' => 'enum', 'default' => 'T'),
		array('name' => 'cleaning_materials_price', 'type' => 'decimal', 'default' => ':NULL'),
		array('name' => 'max_bedrooms', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'time_per_bedroom', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'max_bathrooms', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'time_per_bathroom', 'type' => 'int', 'default' => ':NULL')
	);
	
	public $i18n = array('included');
	
	public static function factory($attr=array())
	{
		return new pjServiceModel($attr);
	}
}
?>